include:
  - local: '/templates/gitlab-ci-template-base.yml'

variables:
  CI_APPLICATION_TAG_VERSION: 1

stages:
  - base
  - container
  - release
  - deploy
  - latest-tag

base:
  stage: base  
  extends: .base

container:
  stage: container  
  extends: .base-docker-build
  dependencies:
    - base

release:
  stage: release  
  extends: .base-tag-release
  dependencies:
    - container

deploy:
  stage: deploy  
  extends: .base-deploy
  dependencies:
    - release
    - container
  only:
    - main

latest-tag:
  stage: latest-tag
  extends: .base-update-latest-tag
  dependencies:
    - release
    - container
  only:
   - tags      